package com.ruoyi.web.controller.board;

import com.ruoyi.board.domain.ReleaseRecord;
import com.ruoyi.board.service.IReleaseRecordService;
import com.ruoyi.board.service.impl.ReleaseRecordServiceImpl;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
 * 发布记录表(pub_release_record)表控制层
 *
 * @author fuhao
 */
@RestController
@RequestMapping("/pub_release_record")
public class ReleaseRecordController {
    /**
     * 服务对象
     */
    @Autowired
    private IReleaseRecordService releaseRecordServiceImpl;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("selectOne")
    public ReleaseRecord selectOne(Integer id) {
        return releaseRecordServiceImpl.getById(id);
    }

}
